# https://docs.typo3.org/c/typo3/cms-form/main/en-us/I/Concepts/FormEditor/Index.html#:~:text=The%20correct%20way%20is%20to,safely%20form%20the%20form%20editor.

# Todo: this should reside in the customer's template folder
persistenceManager:
  allowedExtensionPaths:
    500: 'EXT:muthsevcontent/Resources/Private/Forms/'
  allowSaveToExtensionPaths: true
  allowDeleteFromExtensionPaths: true

prototypes:
  standard:
    formElementsDefinition:

      ContentElement:
        formEditor:
          group: null

      Date:
        properties:
          elementClassAttribute: 'input--date'

      Text:
        properties:
          elementClassAttribute: 'input--text'

      Textarea:
        properties:
          elementClassAttribute: 'input--textarea'
          elementErrorClassAttribute: 'has-error'
          errorMsgClassAttribute: 'invalid-feedback-test'
          errorClassAttribute: 'is-invalid-test'

      Password:
        properties:
          elementClassAttribute: 'input--password'

      AdvancedPassword:
        properties:
          elementClassAttribute: 'input--password'

      Email:
        properties:
          elementClassAttribute: 'input--email'

      SingleSelect:
        properties:
          elementClassAttribute: 'input--select'

      MultiSelect:
        properties:
          elementClassAttribute: 'input--select'

      Phone:
        properties:
          elementClassAttribute: 'input--tel'


      # remove field types we do not show or have no custom template/styling for

#      ContentElement:
#        formEditor:
#          group: null
#
#      AdvancedPassword:
#        formEditor:
#          group: null
#      FileUpload: null
#      ImageUpload: null
#      DatePicker: null

      Form:
        # rendererClassName:
        # finishers:
        # formEditor:
        # label:
        # variants:

        renderingOptions:
          templateRootPaths:
            500: 'EXT:muthsevcontent/Resources/Private/Templates/Form/'
          partialRootPaths:
            500: 'EXT:muthsevcontent/Resources/Private/Partials/Form/'
            501: 'EXT:muthsevcontent/Resources/Private/Partials/Form/Partials/'
          layoutRootPaths:
            500: 'EXT:muthsevcontent/Resources/Private/Layouts/Form/'

#  contactForm:
#    __inheritances:
#      10: 'TYPO3.CMS.Form.prototypes.standard'
